# TdApi.InternalLinkTypeMessageDraft (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InternalLinkTypeMessageDraft

Package it.tdlight.jni

# Class TdApi.InternalLinkTypeMessageDraft

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InternalLinkType
it.tdlight.jni.TdApi.InternalLinkTypeMessageDraft

Enclosing class:
  TdApi

    public static class TdApi.InternalLinkTypeMessageDraft
    extends TdApi.InternalLinkType

The link contains a message draft text. A share screen needs to be shown to the user, then the chosen chat must be opened and the text is added to the input field.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `containsLink` | True, if the first line of the text contains a link.
`TdApi.FormattedText` | `text` | Message draft text.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InternalLinkTypeMessageDraft()` | The link contains a message draft text.
`InternalLinkTypeMessageDraft​(TdApi.FormattedText text, boolean containsLink)` | The link contains a message draft text.
`InternalLinkTypeMessageDraft​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public TdApi.FormattedText text
Message draft text.

### containsLink

public boolean containsLink
True, if the first line of the text contains a link. If true, the input field needs to be focused and the text after the link must be selected.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InternalLinkTypeMessageDraft

public InternalLinkTypeMessageDraft()
The link contains a message draft text. A share screen needs to be shown to the user, then the chosen chat must be opened and the text is added to the input field.

### InternalLinkTypeMessageDraft

public InternalLinkTypeMessageDraft​(TdApi.FormattedText text, boolean containsLink)
The link contains a message draft text. A share screen needs to be shown to the user, then the chosen chat must be opened and the text is added to the input field.

Parameters:
  `text` - FormattedText Message draft text.
  `containsLink` - boolean True, if the first line of the text contains a link. If true, the input field needs to be focused and the text after the link must be selected.

### InternalLinkTypeMessageDraft

public InternalLinkTypeMessageDraft​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`